Last Comment Bug 724796 - [New Tab Page] newtab page breaks newtab+undo combo
: [New Tab Page] newtab page breaks newtab+undo combo
Status: VERIFIED FIXED
[qa!]
: regression
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 13
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 725200
Blocks: 455553
  Show dependency treegraph
 
Reported: 2012-02-06 23:11 PST by Byron Jones ‹:glob›
Modified: 2012-02-21 05:10 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Byron Jones ‹:glob› 2012-02-06 23:11:02 PST
the newtab page changes the undo behavior of newly created tabs.

steps:

1. open any page
2. create a new tab
3. press undo

expected:

the url of the initially loaded page should immediately fill the urlbar.

actual:

the urlbar is populated with about:newtab

notes:

pressing undo a second time correctly populates the urlbar.
Comment 1 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-02-07 13:21:22 PST
Interesting that you actually use this, never was an intentional feature :)
Comment 2 Tim Taubert [:ttaubert] 2012-02-17 17:12:32 PST
Fixed by bug 725200.
Comment 3 Virgil Dicu [:virgil] [QA] 2012-02-21 05:10:26 PST
Mozilla/5.0 (X11; Linux x86_64; rv:13.0a1) Gecko/13.0a1 Firefox/13.0a1
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:13.0) Gecko/13.0 Firefox/13.0a1
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0) Gecko/13.0 Firefox/13.0a1

Verified on latest Firefox Nightly with steps in comment 0.

Note You need to log in before you can comment on or make changes to this bug.